TRANSLATION RefBib;
		     { Sortie HTML d une ref. Biblio pour Thot     }
	             { I. Vatton 		 Decembre 1995     }
                     { d apres verion Ch. Rolland de Juin 94       }


CONST
   BaliseF   = '">';            { Fermeture de balise        }
   AncreDef  = '<a name="';     { Arrivee d un lien          }
   AncreRef  = '<a href="';     { Depart d un lien           }
   AncreFin  = '</a>';          { Fermeture d ancre de lien  }

RULES
   RefBib :
	BEGIN
	Create '\12<dt>';
	Create AncreDef;
	Copy Included Ident;
        Create BaliseF;
        Get Included Ident;
        Create AncreFin;
        Create ' ';
        Get Included Note;
        Create '\12<dd>';
        Create '</dd>\12' After;
	END;

  Ident :
	BEGIN
	Create '[';
	Create ']' After;
{cut here 
	Create AncreFin After;
	Create ' ' After;
	Create '\12<dd>' After;}
	END;

  Note :
	BEGIN
	IF not empty Create AncreRef;
	IF not empty Create BaliseF After;
	IF not empty Create '<IMG SRC="../Images/ftp.gif" ALT="FTP">' After;
	IF not empty Create AncreFin After;
	END;

  Article :
	BEGIN
	{Create '</dd>\12' After;}
	END;

  Auteurs :
	Create '\12';

  Auteur :
	BEGIN
	IF Not First Create ', ' Before;
	IF Last Create ',\12' After;
	END;

  Titre_Article :
	BEGIN
	Create '``' Before;
	Create ''''',\12' After;
	END;

  Titre_Journal :
	BEGIN
	Create '<EM>' Before;
	IF not Last Create ',</EM> ' After;
	IF Last Create '.</EM>' After;
	END;

  Volume :
	BEGIN
	Create 'vol. ' Before;
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;

  Num\351ro :
	BEGIN
	Create 'num. ' Before;
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;

  Pages :
	BEGIN
	Create 'pp. ' Before;
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;

  Mois :
	BEGIN
	IF not Last Create ' ' After;
	IF Last Create '.' After;
	END;

  Ann\351e :
	BEGIN
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;


  Livre :
	BEGIN
	{Create '</dd>\12' After;}
	END;

  Titre_Livre :
	BEGIN
	Create '<EM>' Before;
	IF not Last Create ',</EM> ' After;
	IF Last Create '.</EM>' After;
	END;

  Publi\351_par :
	BEGIN
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;

  Adresse :
	BEGIN
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;


  Conf\351rence :
	BEGIN
	{Create '</dd>\12' After;}
	END;

  Edit\351_par :
	BEGIN
	IF not Last Create ', ed., ' After;
	IF Last Create ', ed.' After;
	END;


  Manuel :
	BEGIN
	{Create '</dd>\12' After;}
	END;

  Titre :
	BEGIN
	Create '<EM> ' Before;
	IF not Last Create ',</EM> ' After;
	IF Last Create '.</EM>' After;
	END;

  Organisation :
	BEGIN
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;


  Rapport :
	BEGIN
	{Create '</dd>\12' After;}
	END;

  Institution :
	BEGIN
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;


  Th\350se :
	BEGIN
	{Create '</dd>\12' After;}
	END;

  Type_th\350se :
	BEGIN
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;

  Universit\351 :
	BEGIN
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;

PRESENTATION

   Style = Bold:
	BEGIN
	Create '<B> ';
	Create '</B>' After;	
	END;

   Style = Italics:
	BEGIN
	Create '<I> ';
	Create '</I>' After;	
	END;

   Font = Helvetica:
	BEGIN
	Create '<STRONG> ';
	Create '</STRONG>' After;	
	END;

   Font = Courier:
	BEGIN
	Create '<TT>';
	Create '</TT>' After;	
	END;

END
